<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="ProductList"
   SelectList="Products.PROD_ID, 
       Products.NAME, 
       Products.DESCRIPTION"
   FromList="PRODUCTS Products"
   OrderBy="Products.NAME"
   BindingStyle="OracleName"
   CustomQuery="false"
   ComponentClass="oracle.srdemo.model.frameworkExt.SRViewObjectImpl"
   FetchMode="FETCH_AS_NEEDED"
   UseGlueCode="false" >
   <DesignTime>
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_objectSuperClassName" Value="oracle.srdemo.model.frameworkExt.SRViewObjectImpl" />
      <Attr Name="_codeGenFlag2" Value="Access|VarAccess" />
   </DesignTime>
   <EntityUsage
      Name="Products"
      Entity="oracle.srdemo.model.entities.Product" >
      <DesignTime>
         <Attr Name="_queryClause" Value="true" />
         <Attr Name="_queryOrderBy" Value="Products.NAME" />
      </DesignTime>
   </EntityUsage>
   <ViewAttribute
      Name="ProdId"
      IsNotNull="true"
      EntityAttrName="ProdId"
      EntityUsage="Products"
      AliasName="PROD_ID" >
   </ViewAttribute>
   <ViewAttribute
      Name="Name"
      IsNotNull="true"
      EntityAttrName="Name"
      EntityUsage="Products"
      AliasName="NAME" >
   </ViewAttribute>
   <ViewAttribute
      Name="Description"
      IsNotNull="true"
      EntityAttrName="Description"
      EntityUsage="Products"
      AliasName="DESCRIPTION" >
   </ViewAttribute>
</ViewObject>
